## NAME

s.vol.idw - Interpolates point data to a 3D grid.
(GRASS 3D Program)

## SYNOPSIS

s.vol.idw
s.vol.idw help
s.vol.idw input=name output=name [npoints=count] [field=value]

## DESCRIPTION

s.vol.idw fills a GRID3D raster volume matrix with interpolated values generated from a set of irregularly spaced data points using numerical approximation (weighted averaging) techniques. The interpolated value of a tile is determined by values of nearby data points and the distance of the cell from those input points. In comparison with other methods, numerical approximation allows representation of more complex volumes (particularly those with anomalous features), restricts the spatial influence of any errors, and generates the interpolated volume from the data points.

### Parameters:

input
  Name of input 3D sites file
output
  Name of output 3D - G3D raster file
npoints
  Number of interpolation points
  Default: 12
field
  Number of z-field attribute to use for calculation
  default: 1

## NOTES

If two or more sites fall into one voxel, the last site value will determine the 3dcell value (no warning yet).

## SEE ALSO

s.vol.rst, s.to.rast3

## AUTHOR

Jaro Hofierka

Last changed: $Date: 2002/01/25 05:45:35 $